<template>
  <section id="screen">
    <div class="card">
      <div class="top-screen">
        <Test />
      </div>
      <div class="middle-screen"></div>

      <div class="bottom-screen">
        <div class="columns">
          <div class="column">
            <button class="button is-primary is-large">
              <span class="icon is-medium">
                <font-awesome-icon icon="fist-raised" />
              </span>
              <span>Attaque</span>
            </button>
          </div>
          <div class="column">
            <button class="button is-link is-large">
              <span class="icon is-medium">
                <font-awesome-icon icon="list" />
              </span>
              <span>Pokémon</span>
            </button>
          </div>
        </div>
        <div class="columns">
          <div class="column">
            <button class="button is-info is-large">
              <span class="icon is-medium">
                <font-awesome-icon icon="shopping-bag" />
              </span>
              <span>Inventaire</span>
            </button>
          </div>
          <div class="column">
            <button class="button is-success is-large">
              <span class="icon is-medium">
                <font-awesome-icon icon="running" />
              </span>
              <span>Fuite</span>
            </button>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import Test from './Test'

export default {
  name: "Screen",
  data: function() {
    return {
      message: "Hello"
    };
  },
  method: {},
  computed: {},
  components: {
    Test
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
$coef: 2;

#screen {
  display: flex;
  justify-content: center;
  min-height: 100%;
  .card {
    border: 3px solid white !important;
    box-shadow: 0 19px 38px rgba(0, 0, 0, 0.3), 0 15px 12px rgba(0, 0, 0, 0.22);
    max-width: 80vw;
    display: flex;
    justify-content: center;
    flex-direction: column;
    .top-screen {
      max-width: 100%;
      width: calc(256px * #{$coef});
      height: calc(144px * #{$coef});
      background-image: url("../assets/background-fight.png");
      background-repeat: no-repeat;
      background-size: 100% 100%;
      background-position: center center;
    }
    .middle-screen {
      background: white;
      height: 3px;
    }
    .bottom-screen {
      max-width: 100%;
      width: calc(256px * #{$coef});
      height: calc(192px * #{$coef});
      background-image: url("../assets/background-bottom-screen.png");
      background-repeat: no-repeat;
      background-size: 100% 100%;
      padding: 1em;
      display: flex;
      justify-content: center;
      flex-direction: column;
      button {
        width: 100%;
      }
    }
  }
}
</style>
